Subject: Used Parts - Tractors, Combines, and Cotton Pickers

From: "Timothy J. Rolwing" <[email-masked]>
Date: 25 Nov 1996 06:35:42 GMT

Make Mid-South Tractor Parts your first call when seeking new, rebuilt, or
used tractor, combine, or cotton picker parts.  Mid-South is one of the
largest agricultural salvage yards in North America.  Through the
Worthington Tractor Parts, Inc. network of salvage yards, Mid-South has
access to well over one million parts to put you back in the field fast!

Call Mid-South Toll-Free from the U.S. or Canada at (800)325-7070.

>From  all other parts of the world call (573)471-3969.

Worldwide FAX service is available 24 hours a day at (573)471-0633.

Mid-South ships to all parts of the world daily.